<div class="row mb-3 align-items-center justify-content-between">
    <div class="col-md-auto col-sm-auto">
        <div class="section-title">
            <h2>{{'LOGIN_AUDIT_LOGS' | translate}}</h2>
        </div>
    </div>
</div>

<div class="mat-elevation-z8">
    <div class="loading-shade" *ngIf="dataSource.loading$ | async">
        <mat-spinner></mat-spinner>
    </div>
    <div class="table-container">
        <div class="m-2 col-sm-5">
            <mat-form-field appearance="outline" class="w-100">
                <input matInput placeholder="{{'SEARCH_BY_USERNAME' | translate}}" #input>
            </mat-form-field>
        </div>
        <table mat-table [dataSource]="dataSource" class="mat-elevation-z8" matSort matSortActive="loginTime"
            matSortDirection="desc">
            <ng-container matColumnDef="loginTime">
                <th mat-header-cell *matHeaderCellDef mat-sort-header>
                    {{'DATE_TIME' | translate}}
                </th>
                <td mat-cell *matCellDef="let audit"> {{audit?.loginTime | date:"dd/MM/yyyy hh:mm:ss"}} </td>
            </ng-container>
            <ng-container matColumnDef="userName">
                <th mat-header-cell *matHeaderCellDef mat-sort-header>
                    {{'EMAIL' | translate}}
                </th>
                <td mat-cell *matCellDef="let audit"> {{audit.userName}} </td>
            </ng-container>
            <ng-container matColumnDef="status">
                <th mat-header-cell *matHeaderCellDef mat-sort-header>
                    {{'STATUS' | translate}}
                </th>
                <td mat-cell *matCellDef="let audit">
                    <span *ngIf="audit?.status=='Success'" class="badge badge-success">{{audit?.status}}</span>
                    <span *ngIf="audit?.status=='Error'" class="badge badge-warning">{{audit?.status}}</span>
                </td>
            </ng-container>
            <ng-container matColumnDef="remoteIP">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> {{'IP_ADDRESS' | translate}} </th>
                <td mat-cell *matCellDef="let audit"> {{audit.remoteIP}} </td>
            </ng-container>

            <ng-container matColumnDef="latitude">
                <th mat-header-cell *matHeaderCellDef>{{'LATITUDE' | translate}} </th>
                <td mat-cell *matCellDef="let audit"> {{audit.latitude}} </td>
            </ng-container>

            <ng-container matColumnDef="longitude">
                <th mat-header-cell *matHeaderCellDef> {{'LONGITUDE' | translate}} </th>
                <td mat-cell *matCellDef="let audit"> {{audit.longitude}} </td>
            </ng-container>
            <tr mat-header-row *matHeaderRowDef="displayedColumns;sticky: true"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        </table>
        <ng-container *ngIf="dataSource.count === 0">
            <div class="row">
                <div class="col-sm-12 ml-4 mt-3">
                    <label class="font-weight-bold">{{'NO_DATA_FOUND' | translate}}</label>
                </div>
            </div>
        </ng-container>
        <mat-paginator [length]="loginAuditResource.totalCount" [pageSize]="loginAuditResource.pageSize"
            [pageSizeOptions]="[10, 20, 30]"></mat-paginator>
    </div>
</div>
